
PROJECT(MeshGen)

ADD_EXECUTABLE(MeshGen
  ${TUMORSIM_ROOT}/Misc/Log.cxx
  ${TUMORSIM_ROOT}/Misc/MersenneTwisterRNG.cxx
  ${TUMORSIM_ROOT}/Misc/vtkTextOutputWindow.cxx
  ${TUMORSIM_ROOT}/Misc/Timer.cxx
  ${TUMORSIM_ROOT}/Misc/vtkQhullDelaunay3D.cxx
  ${TUMORSIM_ROOT}/Misc/qhull/user.c
  ${TUMORSIM_ROOT}/Misc/qhull/global.c
  ${TUMORSIM_ROOT}/Misc/qhull/stat.c
  ${TUMORSIM_ROOT}/Misc/qhull/io.c
  ${TUMORSIM_ROOT}/Misc/qhull/geom2.c
  ${TUMORSIM_ROOT}/Misc/qhull/poly2.c
  ${TUMORSIM_ROOT}/Misc/qhull/merge.c
  ${TUMORSIM_ROOT}/Misc/qhull/qhull.c
  ${TUMORSIM_ROOT}/Misc/qhull/geom.c
  ${TUMORSIM_ROOT}/Misc/qhull/poly.c
  ${TUMORSIM_ROOT}/Misc/qhull/qset.c
  ${TUMORSIM_ROOT}/Misc/qhull/mem.c
  ${TUMORSIM_ROOT}/Simulator/LinearTetrahedralMesh.cxx
  ${TUMORSIM_ROOT}/Simulator/createMesh3D.cxx
  BrainMeshGenerator.cxx
  meshgen_main.cxx
)

TARGET_LINK_LIBRARIES(MeshGen ${ITK_LIBRARIES} ${VTK_LIBRARIES})
